﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace BMS.Facade.Data
{
    /// <summary>
    /// IReportInfo interface
    /// </summary>
    public interface IReportInfo
    {
        /// <summary>
        /// The name of the report.
        /// </summary>
        string Name { get; set; }

        /// <summary>
        /// The relative path of the report in Report Server.
        /// </summary>
        string Path { get; set; }

        /// <summary>
        /// The Url used to access this report.
        /// </summary>
        string Url { get; }

        Dictionary<string, string> Parameters { get; set; }

        IReportInfo Clone();
    }
}