﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using InfoWorld.HL7.ITS;

namespace BMS.Facade.Data
{
    /// <summary>
    /// VistA Settings class - stores the configuration data about the vistA.
    /// </summary>
    public class VistASettings
    {
        /// <summary>
        /// Gets or sets the local time adjust settings of the vista
        /// </summary>
        /// <value>
        /// The number of hours.
        /// </value>
        public int LocalTimeAdjust { get; set; }

        /// <summary>
        /// Gets or sets the vista site time zone.
        /// </summary>
        /// <value>
        /// The vista site time zone.
        /// </value>
        public CD SiteTimeZone { get; set; }
    }
}
