using System.Collections.Generic;

namespace InfoWorld.Security.Authorization.PolicyAdministrationPoint
{
    /// <summary>
    /// Class which holds information aboud a user or a group.
    /// </summary>
    [System.CodeDom.Compiler.GeneratedCodeAttribute("System.Runtime.Serialization", "3.0.0.0")]
    [System.Runtime.Serialization.DataContractAttribute(Name = "UserGroup", Namespace = "http://schemas.datacontract.org/2004/07/InfoWorld.Security.Authorization.PolicyAdministrationPoint")]
    [System.SerializableAttribute()]
    public partial class UserGroup
    {
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        string _ID;
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        string _Name;
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        bool _isGroup;
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        string _fullName;
        [System.Runtime.Serialization.OptionalFieldAttribute()]
        string _domain;

        /// <summary>
        /// Gets or sets the full name.
        /// </summary>
        /// <value>
        /// The full name.
        /// </value>
        [System.Runtime.Serialization.DataMemberAttribute()]      
        public string FullName
        {
            get { return _fullName; }
            set { _fullName = value; }
        }

        /// <summary>
        /// Gets or sets the domain.
        /// </summary>
        /// <value>
        /// The full domain.
        /// </value>
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Domain
        {
            get { return _domain; }
            set { _domain = value; }
        }

        /// <summary>
        /// Gets or sets a value indicating whether this instance refers to a group.
        /// </summary>
        /// <value>
        ///   <c>true</c> if this is a group; otherwise, <c>false</c>.
        /// </value>
        [System.Runtime.Serialization.DataMemberAttribute()]        
        public bool IsGroup
        {
            get { return _isGroup; }
            set { _isGroup = value; }
        }
        /// <summary>
        /// Gets or sets the ID.
        /// </summary>
        /// <value>
        /// The ID.
        /// </value>
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string ID
        {
            get { return _ID; }
            set { _ID = value; }
        }
        /// <summary>
        /// Gets or sets the name.
        /// </summary>
        /// <value>
        /// The name.
        /// </value>
        [System.Runtime.Serialization.DataMemberAttribute()]
        public string Name
        {
            get { return _Name; }
            set { _Name = value; }
        }
        /// <summary>
        /// Returns a <see cref="System.String"/> that represents this instance.
        /// </summary>
        /// <returns>
        /// A <see cref="System.String"/> that represents this instance.
        /// </returns>
        public override string ToString()
        {
            return _Name;
        }
    }
}