using System;
using ePractice.MiddleTier;

namespace BMS.MT
{
	public class ConfigPO : EntityBase
	{
		#region Public Properties

		private IField<int> _ID;
		public IField<int> CONFIG_ID
		{
			get
			{
				if ( _ID == null )
					_ID = new FieldDecorator<int>( this.Fields[ "ID" ] );
				return _ID;
			}
		}
	
		private IField<string> _DOMAIN_ID;
		public IField<string> DOMAIN_ID
		{
			get
			{
				if ( _DOMAIN_ID == null )
					_DOMAIN_ID = new FieldDecorator<string>( this.Fields[ "DOMAIN_ID" ] );
				return _DOMAIN_ID;
			}
		}
	
		private IField<string> _USER_NAME;
		public IField<string> USER_NAME
		{
			get
			{
				if ( _USER_NAME == null )
					_USER_NAME = new FieldDecorator<string>( this.Fields[ "USER_NAME" ] );
				return _USER_NAME;
			}
		}
	
		private IField<string> _SECTION;
		public IField<string> SECTION
		{
			get
			{
				if ( _SECTION == null )
					_SECTION = new FieldDecorator<string>( this.Fields[ "SECTION" ] );
				return _SECTION;
			}
		}
	
		private IField<string> _CONFIG_KEY;
		public IField<string> CONFIG_KEY
		{
			get
			{
				if ( _CONFIG_KEY == null )
					_CONFIG_KEY = new FieldDecorator<string>( this.Fields[ "CONFIG_KEY" ] );
				return _CONFIG_KEY;
			}
		}
	
		private IField<string> _CONFIG_VALUE;
		public IField<string> CONFIG_VALUE
		{
			get
			{
				if ( _CONFIG_VALUE == null )
					_CONFIG_VALUE = new FieldDecorator<string>( this.Fields[ "CONFIG_VALUE" ] );
				return _CONFIG_VALUE;
			}
		}
	
		private IField<string> _CONFIG_TYPE;
		public IField<string> CONFIG_TYPE
		{
			get
			{
				if ( _CONFIG_TYPE == null )
					_CONFIG_TYPE = new FieldDecorator<string>( this.Fields[ "CONFIG_TYPE" ] );
				return _CONFIG_TYPE;
			}
		}
	
		private IField<string> _VALUE_TYPE;
		public IField<string> VALUE_TYPE
		{
			get
			{
				if ( _VALUE_TYPE == null )
					_VALUE_TYPE = new FieldDecorator<string>( this.Fields[ "VALUE_TYPE" ] );
				return _VALUE_TYPE;
			}
		}
	
		private IField<string> _FRIENDLY_NAME;
		public IField<string> FRIENDLY_NAME
		{
			get
			{
				if ( _FRIENDLY_NAME == null )
					_FRIENDLY_NAME = new FieldDecorator<string>( this.Fields[ "FRIENDLY_NAME" ] );
				return _FRIENDLY_NAME;
			}
		}
	
		private IField<int?> _MASTER_CONFIG_ID;
		public IField<int?> MASTER_CONFIG_ID
		{
			get
			{
				if ( _MASTER_CONFIG_ID == null )
					_MASTER_CONFIG_ID = new FieldDecorator<int?>( this.Fields[ "MASTER_CONFIG_ID" ] );
				return _MASTER_CONFIG_ID;
			}
		}
	
		#endregion
		#region Child entities

        private EntityCollectionDecorator<ConfigEvsBO> _ConfigEvsChildEntity;

        public IEntityCollection<ConfigEvsBO> ConfigEvsList
        {
            get
            {
                if (_ConfigEvsChildEntity == null)
                {
                    IEntityCollection list = this.Relations["FK_CONFIG_CONFIG_EVS"].Entities;
                    _ConfigEvsChildEntity = new EntityCollectionDecorator<ConfigEvsBO>(list);
                }
                return _ConfigEvsChildEntity;
            }
        }

        private EntityCollectionDecorator<ConfigEisBO> _ConfigEisChildEntity;

        public IEntityCollection<ConfigEisBO> ConfigEisList		
		{
			get
			{
                if (_ConfigEisChildEntity == null)
				{
					IEntityCollection list = this.Relations[ "FK_CONFIG_CONFIG_EIS" ].Entities;
                    _ConfigEisChildEntity = new EntityCollectionDecorator<ConfigEisBO>(list);
				}
                return _ConfigEisChildEntity;
			}
		}        

		#endregion
	}
	public class ConfigEvsPO : EntityBase
	{
		#region Public Properties

		private IField<int> _ID;
        public IField<int> CONFIG_EVS_ID
		{
			get
			{
				if ( _ID == null )
					_ID = new FieldDecorator<int>( this.Fields[ "ID" ] );
				return _ID;
			}
		}
	
		private IField<int?> _CONFIG_ID;
		public IField<int?> CONFIG_ID
		{
			get
			{
				if ( _CONFIG_ID == null )
					_CONFIG_ID = new FieldDecorator<int?>( this.Fields[ "CONFIG_ID" ] );
				return _CONFIG_ID;
			}
		}
	
		private IField<string> _CODE;
		public IField<string> CODE
		{
			get
			{
				if ( _CODE == null )
					_CODE = new FieldDecorator<string>( this.Fields[ "CODE" ] );
				return _CODE;
			}
		}
	
		private IField<string> _CODE_SYSTEM;
		public IField<string> CODE_SYSTEM
		{
			get
			{
				if ( _CODE_SYSTEM == null )
					_CODE_SYSTEM = new FieldDecorator<string>( this.Fields[ "CODE_SYSTEM" ] );
				return _CODE_SYSTEM;
			}
		}
	
		private IField<string> _CODE_SYSTEM_NAME;
		public IField<string> CODE_SYSTEM_NAME
		{
			get
			{
				if ( _CODE_SYSTEM_NAME == null )
					_CODE_SYSTEM_NAME = new FieldDecorator<string>( this.Fields[ "CODE_SYSTEM_NAME" ] );
				return _CODE_SYSTEM_NAME;
			}
		}
	
		private IField<string> _DISPLAY_NAME;
		public IField<string> DISPLAY_NAME
		{
			get
			{
				if ( _DISPLAY_NAME == null )
					_DISPLAY_NAME = new FieldDecorator<string>( this.Fields[ "DISPLAY_NAME" ] );
				return _DISPLAY_NAME;
			}
		}
	
		#endregion
	}
	public class ConfigEisPO : EntityBase
	{
		#region Public Properties

		private IField<int> _ID;
		public IField<int> CONFIG_EIS_ID
		{
			get
			{
				if ( _ID == null )
					_ID = new FieldDecorator<int>( this.Fields[ "ID" ] );
				return _ID;
			}
		}
	
		private IField<int?> _CONFIG_ID;
		public IField<int?> CONFIG_ID
		{
			get
			{
				if ( _CONFIG_ID == null )
					_CONFIG_ID = new FieldDecorator<int?>( this.Fields[ "CONFIG_ID" ] );
				return _CONFIG_ID;
			}
		}
	
		private IField<string> _ENTITY_ID;
		public IField<string> ENTITY_ID
		{
			get
			{
				if ( _ENTITY_ID == null )
					_ENTITY_ID = new FieldDecorator<string>( this.Fields[ "ENTITY_ID" ] );
				return _ENTITY_ID;
			}
		}
	
		private IField<string> _ENTITY_NAME;
		public IField<string> ENTITY_NAME
		{
			get
			{
				if ( _ENTITY_NAME == null )
					_ENTITY_NAME = new FieldDecorator<string>( this.Fields[ "ENTITY_NAME" ] );
				return _ENTITY_NAME;
			}
		}
	
		private IField<string> _ENTITY_TYPE_ID;
		public IField<string> ENTITY_TYPE_ID
		{
			get
			{
				if ( _ENTITY_TYPE_ID == null )
					_ENTITY_TYPE_ID = new FieldDecorator<string>( this.Fields[ "ENTITY_TYPE_ID" ] );
				return _ENTITY_TYPE_ID;
			}
		}
	
		#endregion
	}
	public class MasterConfigPO : EntityBase
	{
		#region Public Properties

		private IField<int> _MASTER_CONFIG_ID;
		public IField<int> MASTER_CONFIG_ID
		{
			get
			{
				if ( _MASTER_CONFIG_ID == null )
					_MASTER_CONFIG_ID = new FieldDecorator<int>( this.Fields[ "MASTER_CONFIG_ID" ] );
				return _MASTER_CONFIG_ID;
			}
		}
	
		#endregion
		#region Child entities
        private EntityCollectionDecorator<ConfigBO> _ConfigChildEntity;

        public IEntityCollection<ConfigBO> ConfigList		
		{
			get
			{
                if (_ConfigChildEntity == null)
				{
					IEntityCollection list = this.Relations[ "FK_MASTER_CONFIG_CONFIG" ].Entities;
                    _ConfigChildEntity = new EntityCollectionDecorator<ConfigBO>(list);
				}
                return _ConfigChildEntity;
			}
		}

		#endregion
	}
}
