﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using BMS.VistaIntegration.Data;

using InfoWorld.HL7.ITS;
using BMS.Facade.Data;
using BMS.Utils;
using BMS.ServicesWrapper.EVS;

namespace BMS.VistaWorker2.Writer.Implementation.Concrete.EVS
{
    /// <summary>
    /// A specialized concept writer for the Specialty vocabulary.
    /// </summary>
    class SpecialtyWriter : BaseEvsWriter<Specialty>
    {

        public SpecialtyWriter()
            : base(true)
        {
        }

        /// <summary>
        /// Gets the code system.
        /// </summary>
        protected override string CodeSystem
        {
            get { return Constants.VistaSpecialtyCodeSystem; }
        }
        /// <summary>
        /// Gets the name of the code system.
        /// </summary>
        /// <value>
        /// The name of the code system.
        /// </value>
        protected override string CodeSystemName
        {
            get { return Util.Vocabulary.VistaSpecialty.ToString(); }
        }

        protected override IEntityDal<CD> Dal
        {
            get { return Data.SpecialtyDal; }
        }

        public override void InitCache()
        {
            Data.SetCacheForSpecialty();
        }
    }
}
