﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Activities;
using System.ServiceModel;
using InfoWorld.HL7.ITS;
using SC = BMS.DataContracts;
using FC = BMS.Facade.Data;
using BMS.Facade.Translators;
using BMS.ServicesWrapper.BMService;

namespace BMS.Workflows.CustomActivities
{
    public class CreateTransferRequest : CodeActivity
    {
        public InArgument<FC.Transfer> TransferRequest { get; set; }
        public OutArgument<II> TransferRequestId { get; set; }
        public OutArgument<Guid> WorkflowId { get; set; }

        protected override void Execute(CodeActivityContext context)
        {
            DateTime entryInLogMethodTime = DateTime.UtcNow;
            if (InfoWorld.Tracing.IWTrace.IsEntryEnabled)
            {
                InfoWorld.Tracing.IWTrace.Entry(System.Reflection.MethodBase.GetCurrentMethod(), entryInLogMethodTime);
            }
            try
            {
                SC.Transfer transfer = this.TransferRequest.Get<FC.Transfer>(context).ToDataContract();
                transfer.FlowId = context.WorkflowInstanceId;
                transfer.OperationType = BMS.Utils.Constants.ACT_OPERATION_TYPE_REQUEST;
                II transferRequestId = BMSFactory.BedManagerOperationsClientFromWCF.CreateTransfer(transfer);
                this.TransferRequestId.Set(context, transferRequestId);
                this.WorkflowId.Set(context, context.WorkflowInstanceId);
            }
            finally
            {
                if (InfoWorld.Tracing.IWTrace.IsExitEnabled)
                {
                    InfoWorld.Tracing.IWTrace.Exit(System.Reflection.MethodBase.GetCurrentMethod(), DateTime.UtcNow, entryInLogMethodTime);
                }
            }
        }
    }
}
