/****** Object:  StoredProcedure [dbo].[usp_Insert_Movement_Request]    Script Date: 03/22/2012 11:04:49 ******/
IF  EXISTS (SELECT * FROM sys.objects WHERE object_id = OBJECT_ID(N'[dbo].[usp_Insert_Movement_Request]') AND type in (N'P', N'PC'))
DROP PROCEDURE [dbo].[usp_Insert_Movement_Request]
GO
SET ANSI_NULLS ON
GO
SET QUOTED_IDENTIFIER ON
GO
-- =============================================
-- Author:		silvicap
-- Create date: 24.10.2012
-- Description:	Inserts a movement request.
-- =============================================
CREATE PROCEDURE [dbo].[usp_Insert_Movement_Request] 
	@ID	INT OUTPUT,
	@DOMAIN_ID VARCHAR(50),
	@PATIENT_UID UNIQUEIDENTIFIER,
	@IEN VARCHAR(50),
	@ORDERED_DATE DATETIME,
	@IS_ACTIVE BIT,
	@RELEASED_DATE DATETIME,
	@SIGNED_DATE DATETIME,
	@SIGNED_BY_UID UNIQUEIDENTIFIER,
	@PROVIDER_UID UNIQUEIDENTIFIER,
	@SCHEDULER_UID UNIQUEIDENTIFIER,	
	@VISTA_SITE_UID UNIQUEIDENTIFIER,
	@HOSPITAL_LOCATION_UID UNIQUEIDENTIFIER,
	@ORDER_TEXT	VARCHAR(MAX),
	@WARD_UID UNIQUEIDENTIFIER,
	@FACILITY_LIST NVARCHAR(MAX)
AS
SET NOCOUNT ON
BEGIN
	
	SELECT @ID = ID FROM MOVEMENT_REQ WHERE IEN = @IEN AND VISTA_SITE_UID = @VISTA_SITE_UID

	IF (@ID IS NULL)
		BEGIN
			INSERT INTO MOVEMENT_REQ
				(DOMAIN_ID,
				PATIENT_UID,
				IEN,
				SIGNED_BY_UID, 
				SIGNED_DATE, 
				RELEASED_DATE, 
				SCHEDULER_UID, 
				PROVIDER_UID, 
				VISTA_SITE_UID,
				HOSPITAL_LOCATION_UID, 
				ORDER_TEXT,
				WARD_UID,
				IS_ACTIVE,
				ORDERED_DATE)
			VALUES
				(@DOMAIN_ID,
				@PATIENT_UID,
				@IEN,
				@SIGNED_BY_UID, 
				@SIGNED_DATE, 
				@RELEASED_DATE, 
				@SCHEDULER_UID, 
				@PROVIDER_UID,
				@VISTA_SITE_UID,
				@HOSPITAL_LOCATION_UID, 
				@ORDER_TEXT,
				@WARD_UID,
				@IS_ACTIVE,
				@ORDERED_DATE)	

			SET @ID = IDENT_CURRENT('dbo.MOVEMENT_REQ')
			
			INSERT INTO ORDER_FACILITY
				(ORDER_ID, FACILITY_UID, ORDER_TYPE)
			SELECT @ID, S.VALUE, 'TRA'
			FROM dbo.fn_Split(@FACILITY_LIST, ',') AS S
		END
END
GO
