CREATE TABLE [dbo].[DIM_PATIENT_ETL](
	[SSN] [nvarchar](250) NULL,
	[FULL_NAME] [nvarchar](303) NOT NULL,
	[LAST_NAME] [nvarchar](100) NULL,
	[FIRST_NAME] [nvarchar](100) NULL,
	[MIDDLE_INITIAL] [nvarchar](100) NULL,
	[GENDER] [nvarchar](100) NULL,
	[STATUS] [nvarchar](100) NULL,
	[DIM_DOMAIN_ID] [nvarchar](50) NOT NULL,
	[SOURCE_ID] [nvarchar](250) NULL,
	[SOURCE_PK] [int] NOT NULL,
	[_SSIS_TIMESTAMP] [datetime] NULL,
	[TREATING_SPECIALTY] [varchar](100) NULL,
	[ADMITTING_DIAGNOSIS] [nvarchar](4000) NULL,
	[SERVICE_CONNECTED_PERCENTAGE] [nvarchar](4000) NULL
) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Update patient table used by reports incremental job.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'DIM_PATIENT_ETL'
GO
CREATE NONCLUSTERED INDEX [idx_DIM_DOMAIN_ID] ON [dbo].[DIM_PATIENT_ETL] 
(
	[DIM_DOMAIN_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 100) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [idx_SOURCE_ID] ON [dbo].[DIM_PATIENT_ETL] 
(
	[SOURCE_ID] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 100) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [idx_SOURCE_PK] ON [dbo].[DIM_PATIENT_ETL] 
(
	[SOURCE_PK] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 100) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [idx_TREATING_SPECIALTY] ON [dbo].[DIM_PATIENT_ETL] 
(
	[TREATING_SPECIALTY] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, SORT_IN_TEMPDB = OFF, IGNORE_DUP_KEY = OFF, DROP_EXISTING = OFF, ONLINE = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON, FILLFACTOR = 100) ON [PRIMARY]
GO

