CREATE TABLE [dbo].[BED_UNAVAILABLE_H](
	[PK] [int] IDENTITY(1,1) NOT NULL,
	[ACT_ID] [int] NOT NULL,
	[DIVISION_UID] [uniqueidentifier] NULL,
	[BED_UID] [uniqueidentifier] NOT NULL,
	[VISTA_SITE_UID] [uniqueidentifier] NULL,
	[COMMENT] [varchar](max) NULL,
	[TYPE_ID] [int] NULL,
	[REASON_ID] [int] NULL,
	[IS_UNAVAILABLE_FROM_VISTA] [bit] NOT NULL,
	[CREATION_BY] [nvarchar](250) NULL,
	[EDITED_BY] [nvarchar](250) NULL,
	[EDITED_DATE] [datetime] NULL,
	[EXPECTED_COMPLETED_DATE] [datetime] NULL,
	[COMPLETED_BY] [nvarchar](250) NULL,
	[COMPLETED_DATE] [datetime] NULL,
	[TRANSACTION_TYPE_CODE] [varchar](50) NOT NULL,
	[DATE] [datetime] NOT NULL,
	[CREATED_BY] [nvarchar](50) NULL
)
GO
-- Constraints and Indexes

ALTER TABLE [dbo].[BED_UNAVAILABLE_H] ADD CONSTRAINT [PK_BED_UNAVAILABLE_H] PRIMARY KEY CLUSTERED  ([PK])
GO
-- Extended Properties

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Primary key.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'PK'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ID of the table and reference key to the ACT table.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'ACT_ID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Ward''s id.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'DIVISION_UID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Beds''id.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'BED_UID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Comments column.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'COMMENT'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Type column (concept).' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'TYPE_ID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'The reason for which the bed is unavailable.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'REASON_ID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'This column contains the username from BMS who first changed the bed status to "unavailable".   ' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'CREATION_BY'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'This column contains the username from BMS who modified the bed status.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'EDITED_BY'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'This column contains the date time from BMS when modified the bed status.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'EDITED_DATE'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'The time/date expected out of service ends for the bed' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'EXPECTED_COMPLETED_DATE'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'This column contains the username from BMS who modified the bed status from ''unavailable'' to ''available''.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'COMPLETED_BY'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'This column contains the date time from BMS when modified the bed status from ''unavailable'' to ''available''.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'COMPLETED_DATE'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Code of transaction(I = Inserted, U = Updated, D = Deleted).' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'TRANSACTION_TYPE_CODE'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Datetime when record was created.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'DATE'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'User ID of user when record was created.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H', @level2type=N'COLUMN',@level2name=N'CREATED_BY'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Bed unavailable table.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'BED_UNAVAILABLE_H'
GO

ALTER TABLE [dbo].[BED_UNAVAILABLE_H] ADD  CONSTRAINT [DF_BED_UNAVAILABLE_H_IS_UNAVAILABLE_FROM_VISTA]  DEFAULT ((0)) FOR [IS_UNAVAILABLE_FROM_VISTA]
GO
