CREATE TABLE [dbo].[TRANSFER_EVN_H](
	[PK] [int] IDENTITY(1,1) NOT NULL,
	[ACT_ID] [int] NOT NULL,
	[DISPOSITION_ID] [int] NOT NULL,
	[ADMISSION_FACILITY_UID] [uniqueidentifier] NULL,
	[DISPOSITION_DATE] [datetime] NULL,
	[COMMENT] [nvarchar](150) NULL,
	[TRANSACTION_TYPE_CODE] [varchar](50) NOT NULL,
	[DATE] [datetime] NOT NULL,
	[CREATED_BY] [nvarchar](50) NULL
) ON [PRIMARY]
GO
ALTER TABLE [dbo].[TRANSFER_EVN_H] ADD CONSTRAINT [PK_TRANSFER_EVN_H] PRIMARY KEY CLUSTERED  ([PK]) ON [PRIMARY]
GO
EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Primary key.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'TRANSFER_EVN_H', @level2type=N'COLUMN',@level2name=N'PK'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'ID of the transfer event act and reference key to the ACT table.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'TRANSFER_EVN_H', @level2type=N'COLUMN',@level2name=N'ACT_ID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'FK to the disposition concept.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'TRANSFER_EVN_H', @level2type=N'COLUMN',@level2name=N'DISPOSITION_ID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'FK to the disposition''s admission facility' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'TRANSFER_EVN_H', @level2type=N'COLUMN',@level2name=N'ADMISSION_FACILITY_UID'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'The date of the disposition.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'TRANSFER_EVN_H', @level2type=N'COLUMN',@level2name=N'DISPOSITION_DATE'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Disposition comment.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'TRANSFER_EVN_H', @level2type=N'COLUMN',@level2name=N'COMMENT'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Code of transaction(I = Inserted, U = Updated, D = Deleted).' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'TRANSFER_EVN_H', @level2type=N'COLUMN',@level2name=N'TRANSACTION_TYPE_CODE'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Datetime when record was created.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'TRANSFER_EVN_H', @level2type=N'COLUMN',@level2name=N'DATE'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'User ID of user when record was created.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'TRANSFER_EVN_H', @level2type=N'COLUMN',@level2name=N'CREATED_BY'
GO

EXEC sys.sp_addextendedproperty @name=N'MS_Description', @value=N'Transfer event table.' , @level0type=N'SCHEMA',@level0name=N'dbo', @level1type=N'TABLE',@level1name=N'TRANSFER_EVN_H'
GO