SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

create view [System.Activities.DurableInstancing].[InstancePromotedProperties] with schemabinding as
      select [InstancesTable].[Id] as [InstanceId],
			 [InstancesTable].[DataEncodingOption] as [EncodingOption],
			 [PromotionName],
			 [Value1],
			 [Value2],
			 [Value3],
			 [Value4],
			 [Value5],
			 [Value6],
			 [Value7],
			 [Value8],
			 [Value9],
			 [Value10],
			 [Value11],
			 [Value12],
			 [Value13],
			 [Value14],
			 [Value15],
			 [Value16],
			 [Value17],
			 [Value18],
			 [Value19],
			 [Value20],
			 [Value21],
			 [Value22],
			 [Value23],
			 [Value24],
			 [Value25],
			 [Value26],
			 [Value27],
			 [Value28],
			 [Value29],
			 [Value30],
			 [Value31],
			 [Value32],
			 [Value33],
			 [Value34],
			 [Value35],
			 [Value36],
			 [Value37],
			 [Value38],
			 [Value39],
			 [Value40],
			 [Value41],
			 [Value42],
			 [Value43],
			 [Value44],
			 [Value45],
			 [Value46],
			 [Value47],
			 [Value48],
			 [Value49],
			 [Value50],
			 [Value51],
			 [Value52],
			 [Value53],
			 [Value54],
			 [Value55],
			 [Value56],
			 [Value57],
			 [Value58],
			 [Value59],
			 [Value60],
			 [Value61],
			 [Value62],
			 [Value63],
			 [Value64]
    from [System.Activities.DurableInstancing].[InstancePromotedPropertiesTable]
    join [System.Activities.DurableInstancing].[InstancesTable]
    on [InstancePromotedPropertiesTable].[SurrogateInstanceId] = [InstancesTable].[SurrogateInstanceId]
GO
CREATE UNIQUE CLUSTERED INDEX [CIX_InstancePromotedProperties] ON [System.Activities.DurableInstancing].[InstancePromotedProperties] ([InstanceId], [PromotionName]) ON [PRIMARY]
GO
CREATE NONCLUSTERED INDEX [NCIX_InstancePromotedProperties_CounterService] ON [System.Activities.DurableInstancing].[InstancePromotedProperties] ([Value2]) ON [PRIMARY]
GO
EXEC sp_addextendedproperty N'MS_Description', N'The InstancePromotedProperties view contains information for all the promoted properties that are specified by the user. A promoted property functions as a first-class property, which a user can use in queries to retrieve instances. For example, a user could add a PurchaseOrder promotion which always stores the cost of an order in the Value1 column. This would enable a user to query for all purchase orders whose cost exceeds a certain value.

The InstancePromotedProperties view is schema bound, which means that users can add indices on one or more columns in order to optimize queries against this view.
Note: An indexed view requires more storage and adds additional processing overhead. Please refer to Improving Performance with SQL Server 2008 Indexed Views for more information.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', NULL, NULL
GO
EXEC sp_addextendedproperty N'MS_Description', N'Describes the encoding used to serialize the promoted binary properties. 0 – No encoding, 1 – GZipStream', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'EncodingOption'
GO
EXEC sp_addextendedproperty N'MS_Description', N'The ID of the Workflow Instance.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'InstanceId'
GO
EXEC sp_addextendedproperty N'MS_Description', N'The name of the Promotion associated with this instance. The PromotionName is needed to add context to the generic columns in this row.
For example, a PromotionName of PurchaseOrder could indicate that Value1 contains the cost of the order, Value2 contains the name of the customer who placed the order, Value 3 contains the address of the customer, and so on.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'PromotionName'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value1'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value10'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value11'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value12'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value13'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value14'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value15'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value16'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value17'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value18'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value19'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value2'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value20'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value21'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value22'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value23'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value24'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value25'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value26'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value27'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value28'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value29'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value3'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value30'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value31'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value32'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value33'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value34'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value35'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value36'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value37'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value38'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value39'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value4'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value40'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value41'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value42'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value43'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value44'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value45'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value46'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value47'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value48'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value49'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value5'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value50'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value51'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value52'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value53'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value54'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value55'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value56'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value57'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value58'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value59'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value6'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value60'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value61'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value62'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value63'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[33-64] contains serialized values.For instance, Value33 could contain a JPEG of an item being purchased. A single promotion cannot contain more than 32 binary properties', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value64'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value7'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value8'
GO
EXEC sp_addextendedproperty N'MS_Description', N'Value[1-32] contains values that can be stored in a SqlVariant column. A single promotion cannot contain more than 32 SqlVariants.', 'SCHEMA', N'System.Activities.DurableInstancing', 'VIEW', N'InstancePromotedProperties', 'COLUMN', N'Value9'
GO
