﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading;

namespace Import_VistaJob
{
    public class MethodContainer
    {
        private WaitCallback _callback;
        private object _state;
        private Exception _exception = null;

        public MethodContainer(WaitCallback callback, object state)
        {
            this.Callback = callback;
            this.State = state;
        }

        public void ExecuteMethod()
        {
            try
            {
                this.Callback(_state);
            }
            catch (Exception exception)
            {
                this.Exception = exception;
            }
        }

        public Exception Exception
        {
            get { return _exception; }
            set { _exception = value; }
        }

        public object State
        {
            get { return _state; }
            set { _state = value; }
        }

        public WaitCallback Callback
        {
            get { return _callback; }
            set { _callback = value; }
        }
    }
}
